Index: code/branches/Presentation_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/Presentation_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11344)
+++ code/branches/Presentation_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11344)
@@ -0,0 +1,813 @@
+<Template name = endurance>
+
+    <!-- Spaceship parameters -->
+
+	<ModularSpaceShip 
+	name = endurance
+	collisionType= "dynamic" 
+	mass = 10000000 
+
+	health = 1000
+	initialhealth = 1000
+	maxhealth = 1000
+	
+	
+	
+	
+	rotationaxis = "1,0,0" 
+	
+	
+   	rotationrate = "5"
+   	>
+	
+   	<!-- Destructible parts -->
+
+   	<parts>
+
+   		<ShipPart name = "tunnelsystem" initialhealth="1000" maxhealth="1000" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+   		<ShipPart name = "EnduranceSmallShip1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "EnduranceSmallShip2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+         <ShipPart name = "ct11" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct10" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct9" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct8" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct7" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct6" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct5" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct4" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+    	<ShipPart name = "part1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part2" initialhealth="10" maxhealth="10" damageabsorption="0.9" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part4" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part5" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />  
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part6" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part7" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part8" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part9" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part10" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part11" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+    </parts>
+
+    <!-- Explosion effects -->
+
+    <explosion >
+
+
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+ 
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+     
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="30,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+    </explosion>
+
+
+    <attached>
+
+
+
+
+        <Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" lookat="0,0,0" pitch="-30" yaw="0" roll="90" />
+
+
+		<!-- coordinates (0,0,0) element 0-->
+        
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  name = "EnduranceSmallShip1" collisionType=static position ="21,14.4,-9.6"  pitch="60" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,-25,2.5" halfExtents="15,30,1" />
+			<BoxCollisionShape  position ="0,5,-7" halfExtents="7,7,7" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  name = "EnduranceSmallShip2" collisionType=static position ="21,-14.4,9.6"  pitch="-120" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,-25,2.5" halfExtents="15,30,1" />
+			<BoxCollisionShape  position ="3,5,-7" halfExtents="7,7,7" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- Tunnelsystem -->
+
+		<StaticEntity  name = "tunnelsystem"collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position = "30,0,0" halfExtents="65,9,9" />
+			<BoxCollisionShape  position = "0,40,0" halfExtents="8,30,8" />
+			<BoxCollisionShape  position = "0,-20,0" halfExtents="7,12,7" />
+			<BoxCollisionShape  position = "0,0,18" halfExtents="8,8,12" />
+			<BoxCollisionShape  position = "0,0,-18" halfExtents="8,8,12" />
+			<BoxCollisionShape  position = "-39,0,0" halfExtents="5,5,7" />
+			
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct12 -->
+
+		<StaticEntity name ="ct12" collisionType=static position ="0,-30,105"  yaw="0" roll="90" pitch="-60" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- 2 Mistery elements --> 
+
+		<StaticEntity name = "mistery1" collisionType=static position ="0,-6,-9.6"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+		
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<StaticEntity name = "mistery2" collisionType=static position ="0,3.6,7.2"  yaw="0" roll="90" pitch="150" >
+			<attached>
+		
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (100,0,0) element 1-->
+
+		<StaticEntity name= "part1" collisionType=static lookat="0,0,0" position ="0,0,120" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
+
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+				
+		
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30"  />
+
+			</collisionShapes>	
+
+		</StaticEntity>
+
+
+		<!-- ct11 -->
+
+		<StaticEntity name = "ct11" collisionType=static position ="0,30,105"  yaw="0" roll="90" pitch="270" >
+			<attached>
+	
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,50,0) element 2 -->
+
+		<StaticEntity name = "part2" collisionType=static lookat="0,0,0" position ="0,60,103.2" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+				
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,24,26"  />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct10 -->
+
+		<StaticEntity name ="ct10" collisionType=static position ="0,78,78"  yaw="0" roll="90" pitch="240" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,86,0) element 3 -->	
+
+		<StaticEntity name="part3" collisionType=static lookat="0,0,0" position ="0,103.2,60" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct9 -->
+
+		<StaticEntity name ="ct9" collisionType=static position ="0,105,30"  yaw="0" roll="90" pitch="210" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,100,0) element 4 -->	
+
+		<StaticEntity name ="part4" collisionType=static position ="0,120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct8 -->
+
+		<StaticEntity name ="ct8" collisionType=static position ="0,105,-30"  yaw="0" roll="90" pitch="180" >
+			<attached>
+			
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,86,0) element 5 -->	
+
+		<StaticEntity name= "part5" collisionType=static position ="0,103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct7 -->
+
+		<StaticEntity name ="ct7"  collisionType=static position ="0,78,-78"  yaw="0" roll="90" pitch="150" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-86,50,0) element 6  -->	
+
+		<StaticEntity name="part6" collisionType=static position ="0,60,-103.2" lookat="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct6 -->
+
+		<StaticEntity name ="ct6" collisionType=static position ="0,30,-105"  yaw="0" roll="90" pitch="120" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+			
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-100,0,0) element 7 -->	
+
+		<StaticEntity name= "part7" collisionType=static position ="0,0,-120" lookat="0,0,0" direction="0,0,0" yaw="90" roll="90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct5 -->
+
+		<StaticEntity name ="ct5" collisionType=static position ="0,-30,-105"  yaw="0" roll="90" pitch="90" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+
+		<!-- coordinates (-86,-50,0) element 8 -->	
+
+		<StaticEntity name ="part8" collisionType=static position ="0,-60,-103.2" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,2" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct4 -->
+
+		<StaticEntity name ="ct4" collisionType=static position ="0,-78,-78"  yaw="0" roll="90" pitch="60" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,-86,0) element 9 -->	
+
+		<StaticEntity name="part9" collisionType=static position ="0,-103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct3 -->
+
+		<StaticEntity name ="ct3" collisionType=static position ="0,-105,-30"  yaw="0" roll="90" pitch="30" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,-100,0) element 10 -->	
+
+		<StaticEntity name ="part10" collisionType=static position ="0,-120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,2" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct2 -->
+
+		<StaticEntity name ="ct2" collisionType=static position ="0,-105,30"  yaw="0" roll="90" pitch="0" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+			
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,-86,0) element 11 -->	
+
+		<StaticEntity name ="part11" collisionType=static position ="0,-103.2,60" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Commando_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,27" />
+			<BoxCollisionShape  position ="0,30,-20" halfExtents="15,5,6" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- connecting tunnel 1 (ct1) -->
+
+		<StaticEntity name ="ct1" collisionType=static position ="0,-78,78"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+	
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+	
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,-50,0) element 12 -->	
+
+		<StaticEntity name ="part12" collisionType=static position ="0,-60,103.2" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,27" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		
+	</attached>
+
+	
+
+	</ModularSpaceShip>
+
+</Template>
+
+
+
+
+