Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11408)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11409)
@@ -18,5 +18,5 @@
 		<SOBMushroom collisionType="dynamic" speed=30>
 			<attached>
-				<Model mesh="QCube.mesh" position="0,0,20" scale=10/> 
+				<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
 			</attached>
 			<collisionShapes>
@@ -118,12 +118,16 @@
 
 
-					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="240,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.6.mesh" position="360,0,-30" scale=10 Pitch=90/>
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="205,0,-20" halfExtents="210,5,5" />
+					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/> 					<!-- B1.1 -->
+					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/> 				<!-- B1.2-->
+					<Model mesh="Cube2.12.mesh" position="240,0,-30" scale=10 Pitch=90/> 				<!-- B1.3 -->
+					<Model mesh="Cube2.12.mesh" position="360,0,-30" scale=10 Pitch=90/> 				<!-- B1.4 -->
+					<Model mesh="Cube2.12.mesh" position="480,0,-30" scale=10 Pitch=90/> 				<!-- B1.5 -->
+					<Model mesh="Cube2.6.mesh" position="600,0,-30" scale=10 Pitch=90/> 				<!-- B1.6 -->
+					<Model mesh="Cube2.3.mesh" position="660,0,-30" scale=10 Pitch=90/> 				<!-- B1.7 -->
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="340,0,-20" halfExtents="345,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -135,64 +139,80 @@
 					<!-- 					BLOCK 1 in der LUFT - alle analog wie diesen :) -->
 					<!-- Sobald ein QBlock von unten gehittet wird, wechselt die Visibility von allen attached Models. Hier wuerde also Cube1.1 invisible und Cube2.12 visible. Die Collisionshape wird ja sowieso beibehalten. -->
-					<SOBQBlock collisionType="static" type="Mushroom" position="120,0,20"> 											 	<!-- 1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10/> 
-							<Model mesh="Cube1.1.mesh" position="0,0,10" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-					<Model mesh="Cube1.1.mesh" position="160,0,20" scale=10 /> 						<!-- 2 -->
-					
-					<SOBQBlock collisionType="static"><!--ITEM-->
-						<attached>
-							<Model mesh="QCube.mesh" position="170,0,20" scale=10/> 				<!-- 3 --> 
-							<Model mesh="Cube1.1.mesh" position="170,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
-						</collisionShapes>
-					</SOBQBlock>
+					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20"> 						 	<!-- L1.1 pitch=90-->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="230,0,60" > 
+						<attached>
+							<Model mesh="QCube.mesh"  scale=10 pitch=90/> 													<!-- L1.2 --> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /> 			
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="210,0,20" scale=10 /> 										<!-- L1.3 -->
+
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="220,0,20"><!--ITEM-->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.4 --> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /><!-- 3 -->
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 										<!-- L1.5 -->
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20"><!-- ? Block --> 
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>  													<!-- L1.6 -->
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock> 
+					
+					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 										<!-- L1.7 -->
+<!-- Rohre-->
+					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 pitch=90 /> 								<!-- L1.8 -->
+					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 pitch=90 />								<!-- L1.9 -->
+					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 pitch=90 />								<!-- L1.10 -->
+					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 pitch=90 />								<!-- L1.11 -->	
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30">
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.12 --> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /><!-- 3 -->
+						</collisionShapes>
+					</SOBQBlock>			
+					
+					
+
+
+
 
 					<SOBMushroom collisionType="dynamic" speed=30>
 						<attached>
-							<Model mesh="QCube.mesh" position="0,0,20" scale=10/> 
-							
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /><!-- 1 -->
+							<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /> 						<!-- ?????? -->
 						</collisionShapes>
 					</SOBMushroom>
 
-
-					<Model mesh="Cube1.1.mesh" position="180,0,20" scale=10/> 						<!-- 4 -->
-					<Model mesh="Cube1.1.mesh" position="200,0,20" scale=10/> 						<!-- 7 -->
-
-					<SOBQBlock collisionType="static"><!-- ? Block --> 
-						<attached>
-							<Model mesh="QCube.mesh" position="180,0,60" scale=10/> 				<!-- 5 --> 
-							<Model mesh="Cube1.1.mesh" position="180,0,70" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /> 			
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-
-
-					<SOBQBlock collisionType="static"><!-- ? Block --> 
-						<attached>
-							<Model mesh="QCube.mesh" position="190,0,20" scale=10/>  				<!-- 6 -->
-							<Model mesh="Cube1.1.mesh" position="190,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock> 
 
 
@@ -200,15 +220,15 @@
 						<collisionShapes><!-- ?/S Block has his own collisionShape(1,3,5,6) --> 
 							
-							<BoxCollisionShape position="160,0,20" halfExtents="5,5,5" /><!-- 2 -->
-							<BoxCollisionShape position="180,0,20" halfExtents="5,5,5" /><!-- 4 -->
-							<BoxCollisionShape position="200,0,20" halfExtents="5,5,5" /><!-- 7 -->
-							<!--<BoxCollisionShape position="120,0,20" halfExtents="5,5,5" /><!-- 1 -->
-							<!--<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
-							<!--<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /><!-- 5 -->
-							<!--<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" /><!-- 6 -->
-
-
-						</collisionShapes>
-					</StaticEntity>
+							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /><!-- 1.3 -->
+							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /><!-- 1.5 -->
+							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /><!-- 1.7 -->
+							
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
 
 
@@ -216,10 +236,10 @@
 
 					//Boden2
-					<Model mesh="Cube2.12.mesh" position="440,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.2.mesh" position="560,0,-30" scale=10 Pitch=90/>
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="505,0,-20" halfExtents="70,5,5" />
+					<Model mesh="Cube2.12.mesh" position="710,0,-30" scale=10 Pitch=90/>						<!-- B2.1 -->
+					<Model mesh="Cube2.3.mesh" position="830,0,-30" scale=10 Pitch=90/>							<!-- B2.2 -->
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="780,0,-20" halfExtents="75,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -230,25 +250,27 @@
 
 					//Luft2
-					<Model mesh="Cube1.1.mesh" position="500,0,20" scale=10/>
-					<SOBQBlock collisionType="static"><!--ITEM-->
-						<attached>
-							<Model mesh="QCube.mesh" position="510,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="510,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<Model mesh="Cube1.1.mesh" position="520,0,20" scale=10/>
-					<Model mesh="Cube1.6.mesh" position="530,0,60" scale=10/>
-					<Model mesh="Cube1.1.mesh" position="590,0,60" scale=10/>
-					<Model mesh="Cube1.1.mesh" position="600,0,60" scale=10/>
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="500,0,20" halfExtents="5,5,5" />
-							<!--<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />-->
-							<BoxCollisionShape position="520,0,20" halfExtents="5,5,5" />
-							<BoxCollisionShape position="570,0,60" halfExtents="40,5,5" />
+					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10/>									<!-- L2.1 -->
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20">						<!-- L2.2 -->
+						<attached>
+							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="790,0,20" scale=10/>									<!-- L2.3 -->
+					<Model mesh="Cube1.6.mesh" position="800,0,60" scale=10/>									<!-- L2.4 -->
+					<Model mesh="Cube1.1.mesh" position="860,0,60" scale=10/>									<!-- L2.5 -->
+					<Model mesh="Cube1.1.mesh" position="870,0,60" scale=10/>									<!-- L2.6 -->
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="770,0,20" halfExtents="5,5,5" />									<!-- 2.1 -->
+							
+							<BoxCollisionShape position="790,0,20" halfExtents="5,5,5" />									<!-- 2.3 -->
+							<BoxCollisionShape position="835,0,60" halfExtents="40,5,5" />									<!-- 2.4 to 2.6 -->
 
 
@@ -260,138 +282,141 @@
 
 					//Luft3
-					<Model mesh="Cube1.3.mesh" position="640,0,60" scale=10/> 							<!-- 1 -->
-					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10/>							<!-- 4 -->
-					<Model mesh="Cube1.1.mesh" position="890,0,20" scale=10/> 							<!-- 10 -->
-					<Model mesh="Cube1.3.mesh" position="920,0,60" scale=10/> 							<!-- 11 -->
-					<Model mesh="Cube1.1.mesh" position="990,0,60" scale=10/> 							<!-- 12 -->
-					<Model mesh="Cube1.1.mesh" position="1020,0,60" scale=10/> 							<!-- 13 -->
-					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/> 							<!-- 14 --> <!-- only one Collision for 1000 and 1010 -->
-					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10/> 							<!-- 14 -->
-					
-
-					
-
-					<SOBQBlock collisionType="static"> <!-- 10er Block --> 								<!-- 2 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="670,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="670,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="670,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 3 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="670,0,60" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="670,0,70" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="670,0,60" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static"> <!-- Stern Block --> 							<!-- 5 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="730,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="730,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="730,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 6 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="780,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="780,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="780,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 7 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="800,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="800,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="800,0,20" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<SOBQBlock collisionType="static"> <!-- Item Block --> 								<!-- 8 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="800,0,60" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="800,0,70" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="800,0,60" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 9 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="820,0,20" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="820,0,30" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="820,0,20" halfExtents="5,5,5" />
+					<Model mesh="Cube1.3.mesh" position="910,0,60" scale=10/> 												<!-- L3.1 -->
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,60"> <!-- ? Block --> 								<!-- L3.2 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20"> <!-- 10er Block --> 								<!-- L3.3 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/>												<!-- L3.4 -->
+
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20"> <!-- Stern Block --> 							<!-- L3.5 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1060,0,20"> <!-- ? Block --> 								<!-- L3.6 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60"> <!-- Item Block --> 								<!-- L3.7 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,20"> <!-- ? Block --> 								<!-- L3.8 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					
+					<SOBQBlock collisionType="static" type="Mushroom" position="1120,0,20"> <!-- ? Block --> 								<!-- L3.9 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
 						</collisionShapes>
 					</SOBQBlock>					
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 15 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="1000,0,60" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="1000,0,70" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="1000,0,60" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 16 -->
-						<attached>
-							<Model mesh="QCube.mesh" position="1010,0,60" scale=10/>
-							<Model mesh="Cube1.1.mesh" position="1010,0,70" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="1010,0,60" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					
-
-
-
-					<Model mesh="Dreieck+1.mesh" position="1220,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 	<!-- 17 --> <!--collisionshape??-->
-					<Model mesh="Dreieck.mesh" position="1080,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 	<!-- 18 --> <!--collisionshape??-->
-					<Model mesh="Dreieck.mesh" position="1110,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 	<!-- 19 --> <!--collisionshape??-->
-
-					
-
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="645,0,60" halfExtents="15,5,5" /> 							<!-- 1 -->
-
-							<BoxCollisionShape position="720,0,20" halfExtents="5,5,5" /> 							<!-- 4 -->
-
-
-							<BoxCollisionShape position="890,0,20" halfExtents="5,5,5" /> 							<!-- 10 -->
-							<BoxCollisionShape position="930,0,60" halfExtents="15,5,5" /> 							<!-- 11 -->
-							<BoxCollisionShape position="990,0,60" halfExtents="5,5,5" /> 							<!-- 12 -->
-							<BoxCollisionShape position="1020,0,60" halfExtents="5,5,5" /> 							<!-- 13 -->
-							<BoxCollisionShape position="1005,0,20" halfExtents="10,5,5" /> 						<!-- 14 -->
-							
-
-							<BoxCollisionShape position="1210,0,-10" halfExtents="25,5,5" /> 						<!-- 17 -->
-							<BoxCollisionShape position="1215,0,0" halfExtents="20,5,5" />
-							<BoxCollisionShape position="1220,0,10" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1225,0,20" halfExtents="10,5,5" />
-							
-							<BoxCollisionShape position="1065,0,-10" halfExtents="20,5,5" /> 						<!-- 18 -->
-							<BoxCollisionShape position="1070,0,0" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1075,0,10" halfExtents="10,5,5" />
-							<BoxCollisionShape position="1080,0,20" halfExtents="5,5,5" />
-
-							<BoxCollisionShape position="1125,0,-10" halfExtents="20,5,5" /> 					<!-- 19 -->
-							<BoxCollisionShape position="1120,0,0" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1115,0,10" halfExtents="10,5,5" />
-							<BoxCollisionShape position="1110,0,20" halfExtents="5,5,5" />
+
+					<Model mesh="Cube1.1.mesh" position="1180,0,20" scale=10/> 												<!-- L3.10 -->
+
+					<Model mesh="Cube1.3.mesh" position="1210,0,60" scale=10/> 												<!-- L3.11 -->
+
+					<Model mesh="Cube1.1.mesh" position="1280,0,60" scale=10/> 												<!-- L3.12 -->
+
+					<SOBQBlock collisionType="static" position="1290,0,60"> <!-- ? Block --> 								<!-- L3.13 -->
+						<attached>
+							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<SOBQBlock collisionType="static" position="1300,0,60"> <!-- ? Block --> 								<!-- L3.14 -->
+						<attached>
+							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="1310,0,60" scale=10/> 												<!-- L3.15 -->
+					<Model mesh="Cube1.1.mesh" position="1290,0,20" scale=10/> 												<!-- L3.16 --> 
+					<Model mesh="Cube1.1.mesh" position="1300,0,20" scale=10/> 												<!-- L3.17 -->
+					
+
+					
+					<Model mesh="Dreieck.mesh" position="1370,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.18 --> 
+					<Model mesh="Dreieck.mesh" position="1400,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 					<!-- L3.19 -->
+					<Model mesh="Dreieck+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.20 -->  
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="920,0,60" halfExtents="15,5,5" /> 							<!-- 3.1 -->
+
+							<BoxCollisionShape position="1000,0,20" halfExtents="5,5,5" /> 							<!-- 3.4 -->
+
+
+							<BoxCollisionShape position="1180,0,20" halfExtents="5,5,5" /> 							<!-- 3.10 -->
+							<BoxCollisionShape position="1220,0,60" halfExtents="15,5,5" /> 							<!-- 3.11 -->
+							<BoxCollisionShape position="1280,0,60" halfExtents="5,5,5" /> 							<!-- 3.12 -->
+							<BoxCollisionShape position="1310,0,60" halfExtents="5,5,5" /> 							<!-- 3.15 -->
+							<BoxCollisionShape position="1300,0,20" halfExtents="10,5,5" /> 						<!-- 3.16 and 3.17-->
+							
+
+							
+							
+							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 .....1080-->
+							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1370,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1415,0,-10" halfExtents="20,5,5" /> 								<!-- 3.19--> 
+							<BoxCollisionShape position="1410,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1405,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1500,0,-10" halfExtents="25,5,5" /> 								<!-- 3.20 -->
+							<BoxCollisionShape position="1505,0,0" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1510,0,10" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1515,0,20" halfExtents="10,5,5" />
 							
 
@@ -406,38 +431,68 @@
 
 					//Boden3
-					<Model mesh="Cube2.12.mesh" position="620,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="740,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="860,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="980,0,-30" scale=10 Pitch=90/>
-
-					<Model mesh="Cube2.12.mesh" position="1100,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.2.mesh" position="1220,0,-30" scale=10 Pitch=90/>
-					
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="925,0,-20" halfExtents="310,5,5" />
-						</collisionShapes>
-					</StaticEntity>
+					<Model mesh="Cube2.12.mesh" position="890,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1010,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1130,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1250,0,-30" scale=10 Pitch=90/>
+
+					<Model mesh="Cube2.12.mesh" position="1370,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1490,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/>
+					
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1205,0,-20" halfExtents="320,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
 
 					//Luft4
-					<Model mesh="Cube1.1.mesh" position="1400,0,20" scale=10/>
-					<Model mesh="Cube1.1.mesh" position="1410,0,20" scale=10/>
-					<Model mesh="Cube1.1.mesh" position="1420,0,20" scale=10/> <!-- ? Block -->
-					<Model mesh="Cube1.1.mesh" position="1430,0,20" scale=10/>
-					<Model mesh="Dreieck.mesh" position="1270,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 	<!-- 20 -->
-
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
-							<BoxCollisionShape position="1410,0,20" halfExtents="5,5,5" />
-							<BoxCollisionShape position="1420,0,20" halfExtents="5,5,5" />
-							<BoxCollisionShape position="1430,0,20" halfExtents="5,5,5" />
-
-							<BoxCollisionShape position="1285,0,-10" halfExtents="20,5,5" /> 					<!-- 20 -->
-							<BoxCollisionShape position="1280,0,0" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1275,0,10" halfExtents="10,5,5" />
-							<BoxCollisionShape position="1270,0,20" halfExtents="5,5,5" />
+					<Model mesh="Dreieck.mesh" position="1560,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 			<!-- L4.1 -->
+
+					<Model mesh="Rohr.mesh" position="1645,5,-35" scale=10 pitch=90 /> 								<!-- L4.2 -->
+
+					<Model mesh="Cube1.1.mesh" position="1690,0,20" scale=10/> 										<!-- L4.3 -->
+					<Model mesh="Cube1.1.mesh" position="1700,0,20" scale=10/> 										<!-- L4.4 -->
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1710,0,20"> 										<!-- L4.5 -->				
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>				
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock> 
+
+					<Model mesh="Cube1.1.mesh" position="1720,0,20" scale=10/> 										<!-- L4.6 -->
+					<Model mesh="Rohr.mesh" position="1805,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
+
+
+
+					<Model mesh="Schloss.mesh" position="2050,40,60" scale=12 pitch=90/>
+					<!--<Model mesh="Fahne.mesh" position="1900,0,20" scale=10 pitch=90/>
+					<Model mesh="Fahnenstange.mesh" position="1970,0,0" scale=10/>
+					<Model mesh="Fundament.mesh" position="1970,5,-10" scale=10 yaw=180/>-->
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+
+							<BoxCollisionShape position="1575,0,-10" halfExtents="20,5,5" /> 					<!-- 4.1--> 
+							<BoxCollisionShape position="1570,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1565,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1560,0,20" halfExtents="5,5,5" />
+
+
+							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.2 -->
+							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
+							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.5 -->
+							
+
+							
 
 
@@ -453,13 +508,13 @@
 
 					//Boden4
-					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1510,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1630,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1750,0,-30" scale=10 Pitch=90/>
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="1565,0,-20" halfExtents="300,5,5" />
+					<Model mesh="Cube2.12.mesh" position="1560,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1680,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1800,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1920,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2040,0,-30" scale=10 Pitch=90/>
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1855,0,-20" halfExtents="300,5,5" />
 						</collisionShapes>
 					</StaticEntity>