Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11410)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11411)
@@ -141,5 +141,6 @@
 					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20"> 						 			<!-- L1.1 -->
 						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+							<Model mesh="QCube.mesh" scale=10 pitch=90 />
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/> 
 						</attached>
 						<collisionShapes>
@@ -150,5 +151,6 @@
 					<SOBQBlock collisionType="static" type="Mushroom" position="230,0,60" > 
 						<attached>
-							<Model mesh="QCube.mesh"  scale=10 pitch=90/> 													<!-- L1.2 --> 
+							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>									<!-- L1.2 --> 
 							
 						</attached>
@@ -164,5 +166,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.4 --> 
-							
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -175,5 +177,6 @@
 					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20"><!-- ? Block --> 
 						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>  													<!-- L1.6 -->
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/> 								<!-- L1.6 -->
 							
 						</attached>
@@ -193,5 +196,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.12 --> 
-							
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -207,9 +210,19 @@
 					<SOBMushroom collisionType="dynamic" speed=30>
 						<attached>
-							<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
-							
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /> 						<!-- ?????? -->
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 						<!-- ?????? -->
+						</collisionShapes>
+					</SOBMushroom>
+
+					<SOBMushroom collisionType="dynamic" speed=30>
+						<attached>
+							<Model mesh="Alien.mesh" position="30,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="30,0,20" halfExtents="5,5,3" /> 						<!-- ?????? -->
 						</collisionShapes>
 					</SOBMushroom>
@@ -223,5 +236,10 @@
 							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
 							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
-							<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />
+							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 						<!-- 1.8 -->
+							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
+							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
+							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
+
+							<!--<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />-->
 							
 
@@ -256,5 +274,5 @@
 						<attached>
 							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
-							
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -288,4 +306,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -297,4 +316,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 							
 						</attached>
@@ -310,4 +330,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -319,4 +340,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -329,4 +351,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -338,4 +361,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -347,4 +371,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -362,4 +387,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -372,4 +398,5 @@
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
 						</attached>
 						<collisionShapes>
@@ -462,5 +489,6 @@
 					<SOBQBlock collisionType="static" type="Mushroom" position="1710,0,20"> 										<!-- L4.5 -->				
 						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>				
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>				
 						</attached>
 						<collisionShapes>
@@ -492,8 +520,12 @@
 							<BoxCollisionShape position="1560,0,20" halfExtents="5,5,5" />
 
-
-							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.2 -->
-							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
-							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.5 -->
+							<BoxCollisionShape position="1645,0,-4" halfExtents="12,5,12" /> 						<!-- 4.2 -->
+
+
+							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
+							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.4 -->
+							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.6 -->
+
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
 
 							<BoxCollisionShape position="1860,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
@@ -552,4 +584,13 @@
 					<Model mesh="Cube1.6.mesh" position="2020,60,-20" scale=10 Pitch=90/>
 					<Model mesh="Cube1.6.mesh" position="2020,70,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2080,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2110,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2080,70,-20" scale=10 Pitch=90/>
+
 					
 
Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11410)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11411)
@@ -123,4 +123,12 @@
 
 
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="240,0,-20" halfExtents="240,5,5" /> 			<!--CollisionShape for testing-->
+						</collisionShapes>
+					</StaticEntity>
+
+
 					//erster Boden	
 
@@ -166,16 +174,16 @@
 					//Boden2
 
-					<Model mesh="Cube2.12.mesh" position="270,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="390,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="510,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="630,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="750,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="870,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.3.mesh" position="990,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="420,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="540,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="660,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="780,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="900,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1020,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.3.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
 
 
 					<StaticEntity collisionType="static">
 						<collisionShapes>
-							<BoxCollisionShape position="645,0,-20" halfExtents="375,5,5" />
+							<BoxCollisionShape position="695,0,-20" halfExtents="375,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -190,143 +198,145 @@
 					//Luft2
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="320,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="330,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="340,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="350,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="360,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-					<Model mesh="Cube1.1.mesh" position="390,0,-10" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.1.mesh" position="410,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="410,0,0" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.3.mesh" position="430,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="450,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="450,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="470,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="470,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="490,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="530,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="550,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="550,0,0" scale=10 Pitch=90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,30"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube1.3.mesh" position="610,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="620,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="630,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="640,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="650,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="660,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="680,0,20" scale=10 yaw=-90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="680,0,50"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube2.6.mesh" position="740,0,20" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="760,0,0" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="760,0,80" scale=10 yaw=-90 Pitch=-90/>
-					
-
-
-
-					<Model mesh="Cube1.6.mesh" position="800,0,20" scale=10 />
-					<Model mesh="Cube2.3.mesh" position="800,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.6.mesh" position="840,0,30" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="880,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="900,0,80" scale=10 Pitch=-90/>
-
+					<Model mesh="Rohr.mesh" position="445,5,-35" scale=10 pitch=90 /> 
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="500,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="520,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="530,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="540,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<Model mesh="Cube1.1.mesh" position="570,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="590,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="590,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3.mesh" position="610,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="630,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="630,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="650,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="650,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="670,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="710,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="730,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="730,0,0" scale=10 Pitch=90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="690,0,30"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube1.3.mesh" position="710,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="730,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="740,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="750,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="760,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="780,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6.mesh" position="840,0,20" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="860,0,0" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="860,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6.mesh" position="900,0,20" scale=10 />
+					<Model mesh="Cube2.3.mesh" position="900,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6.mesh" position="940,0,30" scale=10 yaw=-90 Pitch=-90/>
 					<Model mesh="Cube2.2.mesh" position="980,0,80" scale=10 Pitch=-90/>
 					<Model mesh="Cube2.2.mesh" position="1000,0,80" scale=10 Pitch=-90/>
 
-					<Model mesh="Cube2.6.mesh" position="940,0,20" scale=10 Pitch=-90 yaw=-90/>
-					<Model mesh="Cube1.3.mesh" position="980,0,20" scale=10 Pitch=-90/>
-					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="1080,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="1100,0,80" scale=10 Pitch=-90/>
+
+					<Model mesh="Cube2.6.mesh" position="1040,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.3.mesh" position="1080,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1.mesh" position="1110,0,20" scale=10 Pitch=-90/>
 
 
 					//Boden3
 
-					<Model mesh="Cube2.12.mesh" position="1050,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="1170,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1290,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1410,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1150,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/> 
 
 					//Boden4
-					<Model mesh="Cube2.2.mesh" position="1430,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1530,0,-30" scale=10 Pitch=90/> 
 
 					//Boden5
-					<Model mesh="Cube2.12.mesh" position="1450,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1550,0,-30" scale=10 Pitch=90/> 
 
 					//Boden6
-					<Model mesh="Cube2.6.mesh" position="1640,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1700,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.6.mesh" position="1740,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1800,0,-30" scale=10 Pitch=90/> 
 
 					//Boden7
-					<Model mesh="Cube2.12.mesh" position="1790,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1910,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2030,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1890,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
 
 