Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11411)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11414)
@@ -180,10 +180,10 @@
 					<Model mesh="Cube2.12.mesh" position="900,0,-30" scale=10 Pitch=90/> 					
 					<Model mesh="Cube2.12.mesh" position="1020,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.3.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
-
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="695,0,-20" halfExtents="375,5,5" />
+					<Model mesh="Cube2.6.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="810,0,-20" halfExtents="390,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -246,23 +246,23 @@
 
 
-					<Model mesh="Cube1.1.mesh" position="570,0,-10" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.1.mesh" position="590,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="590,0,0" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.3.mesh" position="610,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="630,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="630,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="650,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="650,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="670,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="710,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="730,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="730,0,0" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="570,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="590,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="590,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="610,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="630,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="630,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="650,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="650,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="670,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="710,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="730,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="730,0,0" scale=10 Pitch=90/>
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="690,0,30"> 						 			<!-- L1.1 -->
@@ -277,66 +277,294 @@
 
 
-					<Model mesh="Cube1.3.mesh" position="710,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="730,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="740,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="750,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="760,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="780,0,20" scale=10 yaw=-90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,50"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube2.6.mesh" position="840,0,20" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="860,0,0" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="860,0,80" scale=10 yaw=-90 Pitch=-90/>
-					
-
-
-
-					<Model mesh="Cube1.6.mesh" position="900,0,20" scale=10 />
-					<Model mesh="Cube2.3.mesh" position="900,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.6.mesh" position="940,0,30" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="980,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="1000,0,80" scale=10 Pitch=-90/>
-
-					<Model mesh="Cube2.2.mesh" position="1080,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="1100,0,80" scale=10 Pitch=-90/>
-
-					<Model mesh="Cube2.6.mesh" position="1040,0,20" scale=10 Pitch=-90 yaw=-90/>
-					<Model mesh="Cube1.3.mesh" position="1080,0,20" scale=10 Pitch=-90/>
-					<Model mesh="Cube1.1.mesh" position="1110,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.3mars.mesh" position="790,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="800,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="810,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="820,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="830,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="840,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="850,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="860,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="860,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6mars.mesh" position="920,0,20" scale=10 yaw=-90 Pitch=-90/>				<!--15-->
+					<Model mesh="Cube2.3mars.mesh" position="940,0,11" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3mars.mesh" position="940,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6mars.mesh" position="980,0,20" scale=10 />								<!--16-->
+					<Model mesh="Cube2.2mars.mesh" position="980,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1000,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6mars.mesh" position="1020,0,30" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+					<Model mesh="Cube2.2mars.mesh" position="1060,0,80" scale=10 Pitch=-90/>							<!--17-->
+					<Model mesh="Cube2.2mars.mesh" position="1080,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.6mars.mesh" position="1070,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1080,0,20" scale=10 />
+					<Model mesh="Cube1.1mars.mesh" position="1090,0,20" scale=10 />
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,30" scale=10 Pitch=-90/>							<!--18-->
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,50" scale=10 Pitch=-90 />
+					<Model mesh="Cube1.1mars.mesh" position="1120,0,60" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1130,0,60" scale=10 Pitch=-90/>
+
+
+
+
+					<Model mesh="Cube1.3mars.mesh" position="1160,0,20" scale=10 Pitch=-90/>							<!--19-->
+					<Model mesh="Cube1.1mars.mesh" position="1190,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1160,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1180,0,80" scale=10 Pitch=-90/>
+
+
+
 
 
 					//Boden3
 
-					<Model mesh="Cube2.12.mesh" position="1150,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1230,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1350,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1470,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1590,0,-30" scale=10 Pitch=90/> 
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1420,0,-20" halfExtents="190,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+
+					//Luft3
+
+
+					<Model mesh="Cube2.6mars.mesh" position="1240,0,30" scale=10 Pitch=90/>
+					<Model mesh="Rohr.mesh" position="1435,5,-35" scale=10 pitch=90 /> 								<!-- 23 -->
+					<Model mesh="Rohr.mesh" position="1495,5,-25" scale=10 pitch=90 />								<!-- 21 -->
+					<Model mesh="Rohr.mesh" position="1555,5,-15" scale=10 pitch=90 />								<!-- 22 -->
+
+
+
+
+
 
 					//Boden4
-					<Model mesh="Cube2.2.mesh" position="1530,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1630,0,-30" scale=10 Pitch=90/> 
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1640,0,-20" halfExtents="10,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+					//Luft4
+
+					<Model mesh="Cube2.3mars.mesh" position="1630,0,-10" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+
+
 
 					//Boden5
-					<Model mesh="Cube2.12.mesh" position="1550,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1670,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1730,0,-20" halfExtents="60,5,5" />
+						</collisionShapes>
+					</StaticEntity> 
+
+
+					//Luft5
+
+					<Model mesh="Dreieck+1mars.mesh" position="1770,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
+
+
 
 					//Boden6
-					<Model mesh="Cube2.6.mesh" position="1740,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1800,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.6.mesh" position="1860,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1920,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1900,0,-20" halfExtents="40,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft6
+					<Model mesh="Cube1.3mars.mesh" position="1860,0,30" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="1890,0,30" scale=10 Pitch=90/>
+					<SOBQBlock collisionType="static" type="Mushroom" position="1900,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+
+
 
 					//Boden7
-					<Model mesh="Cube2.12.mesh" position="1890,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
+					
+					
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="2190,0,-20" halfExtents="180,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft7
+
+					<Model mesh="Cube2.12mars.mesh" position="2010,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12mars.mesh" position="2110,0,10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.12mars.mesh" position="2130,0,-10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Rohr.mesh" position="2120,5,15" scale=10 pitch=90 yaw=-90 /> 
+
+
+
+
+
+
+
+
+
+					//Luft8
+										
+					<Model mesh="Rohr.mesh" position="2505,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
+					<Model mesh="Dreieckgross.mesh" position="2550,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+
+
+					<Model mesh="Schloss.mesh" position="2750,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
+					<Model mesh="Fahne.mesh" position="2684,-5,88" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahnenstange.mesh" position="2690,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
+					<Model mesh="Fundament.mesh" position="2690,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
+
+					
+
+
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+
+							
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
+
+							<BoxCollisionShape position="2560,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
+							<BoxCollisionShape position="2565,0,0" halfExtents="40,5,5" />
+							<BoxCollisionShape position="2570,0,10" halfExtents="35,5,5" />
+							<BoxCollisionShape position="2575,0,20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="2580,0,30" halfExtents="25,5,5" />
+							<BoxCollisionShape position="2585,0,40" halfExtents="20,5,5" />
+							<BoxCollisionShape position="2590,0,50" halfExtents="15,5,5" />
+							<BoxCollisionShape position="2595,0,60" halfExtents="10,5,5" />
+							<BoxCollisionShape position="2690,0,40" halfExtents="5,5,55" />
+
+
+							
+
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					
+
+					//Boden8
+
+					<Model mesh="Cube2.3.mesh" position="2470,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2500,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2620,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2740,0,-30" scale=10 Pitch=90/>
+
+
+					
+					<Model mesh="Cube1.3.mesh" position="2690,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2660,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2670,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,30,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="2700,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,60,-20" scale=10 Pitch=90/>
+					
+
+					<Model mesh="Cube1.6.mesh" position="2720,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,70,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2810,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,70,-20" scale=10 Pitch=90/>
+
+					
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="2785,0,-20" halfExtents="315,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
 
 