Index: code/branches/Boss_FS17/data/levels/templates/Bossship.oxt
===================================================================
--- code/branches/Boss_FS17/data/levels/templates/Bossship.oxt	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/templates/Bossship.oxt	(revision 11424)
@@ -7,17 +7,21 @@
 	collisionType= "dynamic" 
 	mass = 10000000 
-
-	health = 1000
-	initialhealth = 1000
-	maxhealth = 1000
-	
-	
-	
-	
-	rotationaxis = "1,0,0" 
-	
-	
-   	rotationrate = "5"
+ shieldhealth=750 initialshieldhealth=750 maxshieldhealth=750 shieldabsorption    = 1 shieldrechargerate  = 100 shieldrechargewaittime = 0.1 
+
+   
+	
+	
+	
+	
+	rotationaxis = "1,1,0" 
+	
+	
+   	rotationrate = "100"
    	>
+
+   	
+  <?lua
+  include("../includes/BossSpawnWeaponSetting.oxi")
+  ?>
 	
    	<!-- Destructible parts -->
@@ -25,5 +29,5 @@
    	<parts>
 
-   		<ShipPart name = "tunnelsystem" initialhealth="1000" maxhealth="1000" damageabsorption="0.5" explosionposition="0,0,0">
+   		<ShipPart name = "tunnelsystem" initialhealth="500" maxhealth="500" damageabsorption="0.5" explosionposition="0,0,0" >
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -34,4 +38,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -40,4 +45,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -46,4 +52,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -52,4 +59,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -58,4 +66,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -64,4 +73,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -70,4 +80,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -76,4 +87,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -82,4 +94,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -88,4 +101,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -94,4 +108,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -100,4 +115,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -106,4 +122,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -111,5 +128,6 @@
         <ShipPart name = "ct3" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -118,4 +136,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -124,4 +143,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -130,4 +150,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
@@ -138,4 +159,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
@@ -146,4 +168,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
@@ -154,4 +177,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
@@ -162,4 +186,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />  
@@ -169,5 +194,6 @@
         <ShipPart name = "part6" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
@@ -177,5 +203,6 @@
         <ShipPart name = "part7" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
@@ -186,4 +213,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
@@ -194,4 +222,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
@@ -202,4 +231,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
@@ -210,4 +240,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
@@ -218,4 +249,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
@@ -264,7 +296,4 @@
 
 
-        <Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" lookat="0,0,0" pitch="-30" yaw="0" roll="90" />
-
-
 		<!-- coordinates (0,0,0) element 0-->
         
@@ -305,5 +334,5 @@
 		<!-- Tunnelsystem -->
 
-		<StaticEntity  name = "tunnelsystem"collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
+		<StaticEntity  name = "tunnelsystem" collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
 			<attached>
 				<Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" />
Index: code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt
===================================================================
--- code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11424)
@@ -1,3 +1,3 @@
-<Template name=spaceshipescort>
+<Template name=spaceshipsputim>
   <SpaceShip
    hudtemplate            = spaceshiphud
@@ -7,7 +7,7 @@
    explosionchunks        = 10
 
-   health            = 80
+   health            = 200
    maxhealth         = 200
-   initialhealth     = 80
+   initialhealth     = 200
 
    shieldhealth        = 35
@@ -43,9 +43,9 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="Thruster.mesh" />
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="assff.mesh" />
       <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" /> 
       
       <!--Thruster. -->
-<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" "assff.mesh"/>
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
 <Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
@@ -70,4 +70,5 @@
       <ExplosionPart mesh="explosionparts/escort_part_6.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
+
 <?lua
   include("../includes/BossSpawnWeaponSetting.oxi")